Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## APStudio.figures
Class FixedConnectionAnchor

    java.lang.Object
      |
      +--org.eclipse.draw2d.ConnectionAnchorBase
            |
            +--org.eclipse.draw2d.AbstractConnectionAnchor
                  |
                  +--APStudio.figures.FixedConnectionAnchor

All Implemented Interfaces:
  org.eclipse.draw2d.AncestorListener, org.eclipse.draw2d.ConnectionAnchor

public class FixedConnectionAnchor
extends org.eclipse.draw2d.AbstractConnectionAnchor

Field Summary
`boolean` | `leftToRight`
`int` | `offsetH`
`int` | `offsetV`
`boolean` | `topDown`

Constructor Summary
`FixedConnectionAnchor(org.eclipse.draw2d.IFigure owner)`

Method Summary
`void` | `ancestorMoved(org.eclipse.draw2d.IFigure figure)`
`org.eclipse.draw2d.geometry.Point` | `getLocation(org.eclipse.draw2d.geometry.Point reference)`
`org.eclipse.draw2d.geometry.Point` | `getReferencePoint()`

Methods inherited from class org.eclipse.draw2d.AbstractConnectionAnchor
`addAnchorListener, ancestorAdded, ancestorRemoved, getOwner, removeAnchorListener, setOwner`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### leftToRight

    public boolean leftToRight

### offsetH

    public int offsetH

### offsetV

    public int offsetV

### topDown

    public boolean topDown

Constructor Detail

### FixedConnectionAnchor

    public FixedConnectionAnchor(org.eclipse.draw2d.IFigure owner)

Method Detail

### ancestorMoved

    public void ancestorMoved(org.eclipse.draw2d.IFigure figure)

  Specified by:
    `ancestorMoved` in interface `org.eclipse.draw2d.AncestorListener`
  Overrides:
    `ancestorMoved` in class `org.eclipse.draw2d.AbstractConnectionAnchor`
  See Also:
    `AbstractConnectionAnchor.ancestorMoved(IFigure)`

### getLocation

    public org.eclipse.draw2d.geometry.Point getLocation(org.eclipse.draw2d.geometry.Point reference)

  Specified by:
    `getLocation` in interface `org.eclipse.draw2d.ConnectionAnchor`
  Specified by:
    `getLocation` in class `org.eclipse.draw2d.ConnectionAnchorBase`

### getReferencePoint

    public org.eclipse.draw2d.geometry.Point getReferencePoint()

  Specified by:
    `getReferencePoint` in interface `org.eclipse.draw2d.ConnectionAnchor`
  Overrides:
    `getReferencePoint` in class `org.eclipse.draw2d.AbstractConnectionAnchor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD